Package twisted :: Package manhole :: Module service :: Class Perspective |
[frames | no frames]

## Class Perspective

    Avatar --+
             |
            Perspective

Method Summary
| `__init__(self, service)`
| `__getstate__(self)`
| `_cbClientCapable(self, capabilities, client)`
| `_cbResult(self, val, dnum)`
| `_ebClientCapable(self, reason, client)`
| ``attached`(self, client, identity)` A client has attached -- welcome them and add them to the list.
| ``console`(self, message)` Pass a message to my clients' console.
| `detached(self, client, identity)`
| ``perspective_do`(self, expr)` Evaluate the given expression, with output to the console.
| ``perspective_explore`(self, identifier)` Browse the object obtained by evaluating the identifier.
| ``perspective_watch`(self, identifier)` Watch the object obtained by evaluating the identifier.
| ``receiveExplorer`(self, objectLink)` Pass an Explorer on to my clients.
| ``runInConsole`(self, command, *args, **kw)` Convience method to "runInConsole with my stuff".
Inherited from Avatar
| ``perspectiveMessageReceived`(self, broker, message, args, kw)` This method is called when a network message is received.

Class Variable Summary
`int` | `lastDeferred` = 0

Method Details

### attached(self, client, identity) A client has attached -- welcome them and add them to the list.

### console(self, message) Pass a message to my clients' console.

### perspective_do(self, expr) Evaluate the given expression, with output to the console. The result is stored in the local variable '_', and its repr() string is sent to the console as a "result" message.

### perspective_explore(self, identifier) Browse the object obtained by evaluating the identifier. The resulting ObjectLink is passed back through the client's receiveBrowserObject method.

### perspective_watch(self, identifier) Watch the object obtained by evaluating the identifier. Whenever I think this object might have changed, I will pass an ObjectLink of it back to the client's receiveBrowserObject method.

### receiveExplorer(self, objectLink) Pass an Explorer on to my clients.

### runInConsole(self, command, *args, **kw) Convience method to "runInConsole with my stuff".

Class Variable Details

    ### lastDeferred Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net